<?php

namespace App\Controller\Admin;

use App\Entity\Page;
use EasyCorp\Bundle\EasyAdminBundle\Field\ChoiceField;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextEditorField;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextField;
use Lc\AdminBundle\Controller\Admin\AbstractCrudController;
use Lc\AdminBundle\Field\CKEditorField;
use Lc\AdminBundle\Field\FileManagerField;
use Lc\AdminBundle\Field\GalleryManagerField;

class PageCrudController extends AbstractCrudController
{
        public static function getEntityFqcn(): string
        {
                return Page::class;
        }


        public function configureFields(string $pageName): iterable
        {
                return [
                        TextField::new('title'),
                        CKEditorField::new('description'),
                        FileManagerField::new('image'),
                        GalleryManagerField::new('gallery'),
                        TextField::new('devAlias'),
                        ChoiceField::new('status')
                                ->setChoices(['En ligne' => 1, 'Hors ligne' => 0])
                                ->setFormTypeOption('expanded', true)
                                ->setFormTypeOption('multiple', false)
                                ->setCustomOption('widget', false)
                ];
        }

}
